#include <stack.h>

TStack::TStack(int size) : TArray(size), _sp(0)
{}

void TStack::push(const TObject& o)
{
  add(o, _sp++);
}


TObject& TStack::pop()
{
  CHECK(count() > 0, "Stack underflow!");
  return (*this)[--_sp];
}
